# $Revision: 1.33 $, $Date: 2011/08/31 18:31:02 $
Summary:	A tool for gathering and displaying system information
Summary(de.UTF-8):	Informationen zum proc-Dateisystem
Summary(fr.UTF-8):	informations sur le système de fichiers proc
Summary(pl.UTF-8):	Informacje z filesystemu proc
Summary(tr.UTF-8):	proc dosya sistemi bilgileri
Name:		procinfo
Version:	18
Release:	5
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.cistron.nl/pub/people/00-OLD/sandervm/%{name}-%{version}.tar.gz
# Source0-md5:	27658d0a69040aca05a65b9888599d50
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-uptime.patch
Patch2:		%{name}-lsdev.patch
BuildRequires:	ncurses-devel >= 5.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The procinfo command gets system data from the /proc directory (the
kernel filesystem), formats it and displays it on standard output. You
can use procinfo to acquire information about your system from the
kernel as it is running.

%description -l de.UTF-8
Mit dem Paket procinfo können Sie nützliche Informationen aus /proc
abrufen. /proc ist das Kernel-Dateisystem, das Informationen über den
laufenden Kernel enthält.

%description -l fr.UTF-8
procinfo est un paquetage permettant d'obtenir des informations utiles
à partir de /proc. /proc est le système de fichiers du noyau. C'est
l'endroit où vous pouvez allez pour obtenir des informations sur le
noyau qui s'exécute.

%description -l pl.UTF-8
Procinfo jest programem, który przekazuje informacje wyczytane z
systemu plików jądra - /proc.

%description -l tr.UTF-8
procinfo, /proc dosya sisteminden bilgi almanıza izin veren bir
pakettir. /proc çekirdek dosya sistemini tutar ve koşan
çekirdeğinizden bilgi edinebileceğiniz bir dizin yapısı sunar.

%package perl
Summary:	procinfo perl helper scripts
Summary(pl.UTF-8):	Pomocnicze skrypty perlowe do procinfo
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description perl
Procinfo perl helper scripts.

%description perl -l pl.UTF-8
Pomocnicze skrypty perlowe do procinfo.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -I/usr/include/ncurses" \
	LDLIBS="-lncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8}

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT" \
	prefix=%{_prefix} \
	bindir=%{_bindir} \
	mandir=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_bindir}/procinfo
%{_mandir}/man8/procinfo*

%files perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/lsdev
%attr(755,root,root) %{_bindir}/socklist
%{_mandir}/man8/lsdev*
%{_mandir}/man8/socklist*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: procinfo.spec,v $
Revision 1.33  2011/08/31 18:31:02  arekm
- release 5

Revision 1.32  2011/01/29 00:07:13  sparky
- dropped pre-cvs changelog

Revision 1.31  2007/09/05 14:34:43  baggins
- rel 4
- fixed Source0 URL

Revision 1.30  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.29  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.28  2006/08/24 21:31:38  darekr
- pass CC

Revision 1.27  2005/09/16 19:35:53  darekr
- strict deps, add CHANGES to %doc

Revision 1.26  2004/04/26 18:02:08  adamg
- release 3 for Ac (2 is for Ra)

Revision 1.25  2003/05/26 16:25:52  malekith
- massive attack: adding Source-md5

Revision 1.24  2003/05/25 06:25:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2002/11/30 23:00:25  juandon
- new %%doc

Revision 1.22  2002/02/22 23:29:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/01/18 02:14:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/10/09 10:46:55  qboosh
- don't gzip man pages in spec; use %%{__make} macro; added rest of pl transl.

Revision 1.19  2001/07/19 20:56:47  kloczek
- release 2: merge lsdev patch (from rawhide).

Revision 1.18  2001/04/22 15:27:03  kloczek
- updated to 18,
- spec adapterized and updated patches list.

Revision 1.17  2000/12/28 15:08:26  baggins
- release 5
- added perl package

Revision 1.16  2000/07/13 23:20:08  baggins
- release 4
- rebuild with ncurses 5.1

Revision 1.15  2000/06/09 07:23:51  kloczek
- added using %%{__make} macro.

Revision 1.14  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.13  2000/04/01 11:15:36  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.11  2000/01/15 15:51:38  kloczek
- release 3,
- added two patches from rawhide with fixes for SMP,
- adapter(ized).

Revision 1.10  1999/11/16 18:01:48  kloczek
- release 2,
- added BuildRequires rules,
- build against ncurses 5.0.

Revision 1.9  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).
